All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::gpu::GpuIndexIVFFlatConfig Struct Reference
Inheritance diagram for faiss::gpu::GpuIndexIVFFlatConfig:

## Public Attributes

bool | useFloat16IVFStorage
Public Attributes inherited from faiss::gpu::GpuIndexIVFConfig
IndicesOptions | indicesOptions
| Index storage options for the GPU.
GpuIndexFlatConfig | flatConfig
| Configuration for the coarse quantizer object.
Public Attributes inherited from faiss::gpu::GpuIndexConfig
int | device
| GPU device on which the index is resident.
MemorySpace | memorySpace

## Detailed Description

Definition at line 21 of file GpuIndexIVFFlat.h.

## Member Data Documentation

bool faiss::gpu::GpuIndexIVFFlatConfig::useFloat16IVFStorage

Whether or not IVFFlat inverted list storage is in float16; supported on all architectures

Definition at line 28 of file GpuIndexIVFFlat.h.

The documentation for this struct was generated from the following file:

- /tmp/faiss/gpu/GpuIndexIVFFlat.h